clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::ObjCList< T > Class Template Reference

ObjCList - This is a simple template class used to hold various lists of decls etc, which is heavily used by the ObjC front-end. More...

`#include "clang/AST/DeclObjC.h"`

Inheritance diagram for clang::ObjCList< T >:
[legend]
Collaboration diagram for clang::ObjCList< T >:
[legend]

## Public Types
using | iterator = T *const *

## Public Member Functions
void | set (T *const *InList, unsigned Elts, ASTContext &Ctx)
iterator | begin () const
iterator | end () const
T * | operator[] (unsigned Idx) const
Public Member Functions inherited from clang::ObjCListBase
| ObjCListBase ()=default
| ObjCListBase (const ObjCListBase &)=delete
ObjCListBase & | operator= (const ObjCListBase &)=delete
unsigned | size () const
bool | empty () const

## Additional Inherited Members
Protected Member Functions inherited from clang::ObjCListBase
void | set (void *const *InList, unsigned Elts, ASTContext &Ctx)
Protected Attributes inherited from clang::ObjCListBase
void ** | List = nullptr
| List is an array of pointers to objects that are not owned by this object. More...
unsigned | NumElts = 0

## Detailed Description

### template<typename T>
class clang::ObjCList< T >

ObjCList - This is a simple template class used to hold various lists of decls etc, which is heavily used by the ObjC front-end.

This only use case this supports is setting the list all at once and then reading elements out of it.

Definition at line 83 of file DeclObjC.h.

## Member Typedef Documentation

## ◆ iterator

template<typename T>

using clang::ObjCList< T >::iterator = T* const *

Definition at line 89 of file DeclObjC.h.

## Member Function Documentation

## ◆ begin()

template<typename T>

iterator clang::ObjCList< T >::begin | ( |  | ) | const
| inline

Definition at line 91 of file DeclObjC.h.

Referenced by clang::Sema::CheckForwardProtocolDeclarationForCircularDependency(), hasObjCExceptionAttribute(), and clang::ObjCCategoryDecl::protocol_begin().

## ◆ end()

template<typename T>

iterator clang::ObjCList< T >::end | ( |  | ) | const
| inline

Definition at line 92 of file DeclObjC.h.

Referenced by clang::Sema::CheckForwardProtocolDeclarationForCircularDependency(), hasObjCExceptionAttribute(), and clang::ObjCCategoryDecl::protocol_end().

## ◆ operator[]()

template<typename T>

T* clang::ObjCList< T >::operator[] | ( | unsigned | Idx | ) | const
| inline

Definition at line 94 of file DeclObjC.h.

## ◆ set()

template<typename T>

void clang::ObjCList< T >::set | ( | T *const * | InList,
|  | unsigned | Elts,
|  | ASTContext & | Ctx
| ) |  |
| inline

Definition at line 85 of file DeclObjC.h.

Referenced by clang::Sema::ActOnStartProtocolInterface().

The documentation for this class was generated from the following file:

- include/clang/AST/DeclObjC.h